GENERIC

   degree : Positive;

   Type Key_Type Is Private;

   With FUNCTION ">" ( left_operand, right_operand : Key_Type)

                     Return Boolean;

PACKAGE B_Tree Is

   PROCEDURE Create_B_Tree ( external_b_tree_filename : String );

   PROCEDURE Open_B_Tree ( external_b_tree_filename : String );

   PROCEDURE Insert ( key : Key_Type; key_position : Positive);

   PROCEDURE Delete ( key: Key_Type );

   PROCEDURE Search ( key: Key_Type; key_position : Out Positive);

   PROCEDURE Close_B_Tree;

   key_not_inserted : Exception;

   key_not_deleted : Exception;

   key_not_found : Exception;

END B_Tree;
