package TiposDef is

 Max_Datos_Autobus : constant Positive := 5;
 Grado_Arbol       : constant Positive := 4;

 
 type TChofer is record
        Nombre    : String(1..20)  := (1..20 => ' ');
        DNI       : Natural        := 0;
        Carnet    : Character      := ' ';
        Direccion : String(1..30)  := (1..30 => ' ');
      end record;


 SubType TClave is Positive;


 type TAutobus is record
        Matricula      : String(1..8)  := (1..8 => ' ');
        Codigo         : TClave        := 1;
        Marca          : String(1..20) := (1..20 => ' ');
        Aseguradora    : String(1..30) := (1..30 => ' ');
        kilometros_tot : Natural       := 0;
        kilometros_par : Natural       := 0;
      end record;



 subtype THoras is Integer range 0..23;
 subtype TMinutos is Integer range 0..59;

 type Hora is record
        Horas : THoras := 0;
        Minutos : TMinutos := 0;
      end record;



 type TServicio is record
        Itinerario : Natural := 0;
        Primero    : Hora    := (0, 0);
        Ultimo     : Hora    := (0, 0);
        Frecuencia : Natural := 0;
      end record;



 type Un_Dato_Autobus is record
        Chofer   : TChofer;
        Servicio : TServicio;
      end record;


      
 type Datos_Autobus is array (1..Max_Datos_Autobus) of Un_Dato_Autobus;


 type Registro is record
        Autobus : TAutobus;
        Datos   : Datos_Autobus;
      end record;     


end TiposDef;